Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface RemotePacketRouter

    public interface RemotePacketRouter

A RemotePacketRouter is responsible for deliverying packets to entities hosted in remote nodes of the cluster.

Author:
  Gaston Dombiak

Method Summary
`void` | `broadcastPacket(Message packet)` Brodcasts the specified message to all local client sessions of each cluster node.
`boolean` | `routePacket(byte[] nodeID, JID receipient, Packet packet)` Routes packet to specified receipient hosted in the specified node.

Method Detail

### routePacket

    boolean routePacket(byte[] nodeID,
                        JID receipient,
                        Packet packet)

  Routes packet to specified receipient hosted in the specified node.

  Parameters:
    `nodeID` - the ID of the node hosting the receipient.
    `receipient` - the target entity that will get the packet.
    `packet` - the packet to send.
  Returns:
    true if the remote node was found.

### broadcastPacket

    void broadcastPacket(Message packet)

  Brodcasts the specified message to all local client sessions of each cluster node. The current cluster node is not going to be included.

  Parameters:
    `packet` - the message to broadcast.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.